=== debian/control ===
Source: ros-one-rviz-plugin-tutorials
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-one-catkin, ros-one-rviz
Homepage: http://ros.org/wiki/rviz_plugin_tutorials
Standards-Version: 3.9.2

Package: ros-one-rviz-plugin-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, ros-one-rviz
Description: Tutorials showing how to write plugins for RViz.
