## ros-one-rviz-plugin-tutorials 0.11.0-6noble.20251027.2149

=== debian/changelog ===
ros-one-rviz-plugin-tutorials (0.11.0-6noble.20251027.2149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 27 Oct 2025 21:49:09 +0000

ros-one-rviz-plugin-tutorials (0.11.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-rviz-plugin-tutorials (0.10.4-0noble) noble; urgency=high

  * Updated to use ``catkin_install_python()`` (#59 <https://github.com/ros-visualization/visualization_tutorials/issues/59>)
  * Updated required CMake version to avoid CMP0048 warning (#57 <https://github.com/ros-visualization/visualization_tutorials/issues/57>)
  * Contributors: Alejandro Hernández Cordero, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-rviz-plugin-tutorials (0.10.3-0noble) noble; urgency=high

  * Fixed a warning due to a publisher which did not use the keyword argument 'queue_size' (#43 <https://github.com/ros-visualization/visualization_tutorials/issues/43>)
  * Changed manifest.xml to package.xml in documentation (#42 <https://github.com/ros-visualization/visualization_tutorials/issues/42>)
  * Contributors: Zihan Chen

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 09 May 2018 00:00:00 -0000

ros-one-rviz-plugin-tutorials (0.10.2-0noble) noble; urgency=high

  * Unified find_package for Qt4 and Qt5. (#33 <https://github.com/ros-visualization/visualization_tutorials//issues/33>)
  * Contributors: Robert Haschke, William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 05 Jan 2018 00:00:00 -0000

ros-one-rviz-plugin-tutorials (0.10.1-0noble) noble; urgency=high

  * Added qt5 dependencies to the package.xml.
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-rviz-plugin-tutorials (0.10.0-0noble) noble; urgency=high

  * Added support Qt5 in Kinetic.
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-rviz-plugin-tutorials (0.9.2-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 21 Sep 2015 00:00:00 -0000

ros-one-rviz-plugin-tutorials (0.9.1-0noble) noble; urgency=high

  * Added ``#ifndef Q_MOC_RUN`` guard for compatibility with newer boost versions.
  * Contributors: Ryohei Ueda, William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Jan 2015 00:00:00 -0000

ros-one-rviz-plugin-tutorials (0.9.0-0noble) noble; urgency=high

  * set myself (william) as maintainer
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Mar 2014 00:00:00 -0000
